WordPress at a glance
function is not described

Automattic\WooCommerce\Admin\API

Plugins::update_item_permissions_check() public WC 1.0

Check if a given request has access to manage plugins.

{} It's a method of the class: Plugins{}

No Hooks.

Return

WP_Error|true|false. Nothing.

Usage

$Plugins = new Plugins();
$Plugins->update_item_permissions_check( $request );
$request(WP_REST_Request) (required)
Full details about the request.

Code of Plugins::update_item_permissions_check() WC 5.3.0

<?php
public function update_item_permissions_check( $request ) {
	if ( ! current_user_can( 'install_plugins' ) ) {
		return new \WP_Error( 'woocommerce_rest_cannot_update', __( 'Sorry, you cannot manage plugins.', 'woocommerce' ), array( 'status' => rest_authorization_required_code() ) );
	}
	return true;
}